; Osnap command only if no command is active (otherwise nil),
; so that a macro of the form "'aOsnap per,endp " can serve as
; either an osnap setting or an override, depending on when it's used.
; If no command is active, aOsnap adds OSNAP in front of the mode names.
; If a command is active, it just adds a single-quote character, so the macro is an override.
(defun c:aOsnap () (if (= (getvar "cmdactive") 0 ) (command "-Osnap") ) )